Optimizar el orden de una ruta
curl --request POST \
--url https://api.ugps.io/api/work/tasks/routes/optimize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startPoint": {
"lat": 123,
"lng": 123
},
"routePoints": [
{
"location": {
"lat": 123,
"lng": 123
},
"from": "<string>",
"to": "<string>"
}
]
}
'import requests
url = "https://api.ugps.io/api/work/tasks/routes/optimize"
payload = {
"startPoint": {
"lat": 123,
"lng": 123
},
"routePoints": [
{
"location": {
"lat": 123,
"lng": 123
},
"from": "<string>",
"to": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startPoint: {lat: 123, lng: 123},
routePoints: [{location: {lat: 123, lng: 123}, from: '<string>', to: '<string>'}]
})
};
fetch('https://api.ugps.io/api/work/tasks/routes/optimize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"result": [
123
]
}
}{
"error": "El email es requerido"
}{
"error": "Token inválido o expirado"
}{
"error": "No tiene permisos para realizar esta acción"
}{
"message": "Error interno del servidor"
}Trabajo - Tareas
Optimizar el orden de una ruta
Optimiza el orden de los puntos de una ruta (resolución del orden de visita óptimo vía Navixy).
Permisos requeridos: access_tasks
POST
/
api
/
work
/
tasks
/
routes
/
optimize
Optimizar el orden de una ruta
Authorizations
bearerAuthcookieAuth
Token de sesión Better Auth o API token (atk_...) en el header Authorization: Bearer <token>. Los JWT legacy ya no son válidos.
Body
application/json
⌘I